Subject: I-D Action: draft-wijnands-mpls-mldp-in-band-wildcard-encoding-01.txt

From: [email-masked]
Date: Wed, 09 Oct 2013 05:19:50 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Multiprotocol Label Switching Working Group of the IETF.

	Title           : mLDP In-Band Signaling with Wildcards
	Author(s)       : IJsbrand Wijnands
                          Eric Rosen
                          Arkadiy Gulko
                          Uwe Joorde
                          Jeff Tantsura
	Filename        : draft-wijnands-mpls-mldp-in-band-wildcard-encoding-01.txt
	Pages           : 14
	Date            : 2013-10-09

Abstract:
   There are scenarios in which an IP multicast tree traverses an MPLS
   domain.  In these scenarios, it can be desirable to convert the IP
   multicast tree "seamlessly" to an MPLS multipoint label switched path
   (MP-LSP) when it enters the MPLS domain, and then to convert it back
   to an IP multicast tree when it exists the MPLS domain.  Previous
   documents specify procedures that allow certain kinds of IP multicast
   trees (either "Source-Specific Multicast" trees or "Bidirectional
   multicast" trees) to be attached to an MPLS multipoint label switched
   path (MP-LSP), either in the context of a particular VPN or in a
   "global" (non-VPN) context.  However, the previous documents do not
   specify procedures for attaching IP "Any Source Multicast" trees to
   MP-LSPs, nor do they specify procedures "aggregating" multiple IP
   multicast trees onto a single MP-LSP.  This document specifies the
   procedures to support these functions.  It does so by defining
   "wildcard" encodings making it possible to specify, when setting up
   an MP-LSP, that a set of IP multicast trees or a shared IP multicast
   tree should be attached to that MP-LSP.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-wijnands-mpls-mldp-in-band-wildcard-encoding

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-wijnands-mpls-mldp-in-band-wildcard-encoding-01

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-wijnands-mpls-mldp-in-band-wildcard-encoding-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/